Package Halberd :: Module crew :: Class WorkCrew |
[show private | hide private]
[frames | no frames]

## Class WorkCrew

Pool of scanners working in parallel.

Method Summary
| `__init__(self, scantask)`
| ``scan`(self)` Perform a parallel load-balancer scan.
| ``_getClues`(self)` Returns a sequence of clues obtained during the scan.
| ``_initLocal`(self)` Initializes conventional (local) scanner threads.
| ``_restoreSigHandler`(self)` Restore previous SIGINT handler.
| ``_setupSigHandler`(self)` Performs what's needed to catch SIGINT.

Instance Variable Summary
| `prev`: Previous SIGINT handler.
`ScanTask` | `task`: A reference to scantask.
`bool` | `working`: Indicates whether the crew is working or idle.

Method Details

### scan(self) Perform a parallel load-balancer scan.

### _getClues(self) Returns a sequence of clues obtained during the scan.

### _initLocal(self) Initializes conventional (local) scanner threads.

### _restoreSigHandler(self) Restore previous SIGINT handler.

### _setupSigHandler(self) Performs what's needed to catch SIGINT.

Instance Variable Details

### prev Previous SIGINT handler.

### task A reference to scantask. Type: `ScanTask`

### working Indicates whether the crew is working or idle. Type: `bool`

Generated by Epydoc 2.1 on Wed Jul 18 22:25:57 2007 | http://epydoc.sf.net